// WaveForm.h: Schnittstelle für die Klasse CWaveForm.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_WAVEFORM_H__6EAFFB49_BECD_4720_B541_86C0557886ED__INCLUDED_)
#define AFX_WAVEFORM_H__6EAFFB49_BECD_4720_B541_86C0557886ED__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CWaveForm  
{
private:
	void*	m_pWaveForm;
	int		dwWaveFormSize;
	int		m_RawSize;
	void*	WaveData;
public:
	CWaveForm();
	virtual ~CWaveForm();
	void	LoadWaveAndConvert(char* strFileName );
	void	LoadWave(char* strFileName );
	void*	GetWaveForm();
	int		GetRawSize();
	void	FreeRawWaveForm();
	void*	GetRawWaveForm();
    void	ConvertData(void* WaveData, int WaveSize);
	bool	LoadFromFile(char*  strFileName);
	void	SaveToFile(char*  strFileName);
};

#endif // !defined(AFX_WAVEFORM_H__6EAFFB49_BECD_4720_B541_86C0557886ED__INCLUDED_)
